using System;

namespace Vage_PrviKrug
{
    struct Pitanje
    {
        public int indeks_pocetak;
        public int indeks_kraj;
        public int tezina;
    }

    struct Vaga
    {
        public int indeks;
        public int donja_granica;
        public int gornja_granica;
    }
    class Program
    {
        static void Main(string[] args)
        {
            string[] prvi_red = Console.ReadLine().Split();
            int broj_vagi = int.Parse(prvi_red[0]);
            int broj_pitanja = int.Parse(prvi_red[1]);
            Vaga[] vage = new Vaga[broj_vagi];
            vage[0].indeks = 1;
            Pitanje[] upiti = new Pitanje[broj_pitanja];
            for (int i = 0; i < broj_vagi; i++)
            {
                string[] unos_granice = Console.ReadLine().Split();
                vage[i].donja_granica = int.Parse(unos_granice[0]);
                vage[i].gornja_granica = int.Parse(unos_granice[1]);
                vage[i].indeks++;
            }
            for (int i = 0; i < broj_pitanja; i++)
            {
                string[] unos_upita = Console.ReadLine().Split();
                upiti[i].indeks_pocetak = int.Parse(unos_upita[0]);
                upiti[i].indeks_kraj = int.Parse(unos_upita[1]);
                upiti[i].tezina = int.Parse(unos_upita[2]);
            }
            int broj = 0;
            for (int i = 0; i < broj_pitanja; i++)
            {
                for (int j = upiti[i].indeks_pocetak - 1; j < upiti[i].indeks_kraj; j++)
                {
                    if (upiti[i].tezina <= vage[j].gornja_granica && upiti[i].tezina >= vage[j].donja_granica)
                    {
                        broj++;
                    }
                }
                Console.WriteLine(broj);
                broj = 0;
            }
        }
    }
}